### Method

# WebKit WebView load_alternate_html

#### Declaration [src]

    void
    webkit_web_view_load_alternate_html (
      WebKitWebView* web_view,
      const gchar* content,
      const gchar* content_uri,
      const gchar* base_uri
    )

#### Description [src]

Load the given `content` string for the URI `content_uri`.

This allows clients to display page-loading errors in the `WebKitWebView` itself. When this method is called from `WebKitWebView::load-failed` signal to show an error page, then the back-forward list is maintained appropriately. For everything else this method works the same way as webkit_web_view_load_html().

#### Parameters

`content` | `const gchar*`
| The new content to display as the main page of the `web_view`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`content_uri` | `const gchar*`
| The URI for the alternate page content.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`base_uri` | `const gchar*`
| The base URI for relative locations or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.